FROM golang:1.25-alpine AS builder

RUN apk update && apk add --no-cache \
  build-base \
  ca-certificates \
  && update-ca-certificates

WORKDIR /app

COPY go.mod go.sum ./
RUN go mod download
COPY . .

RUN CGO_ENABLED=0 GOOS=linux go build -ldflags="-s -w" -a -installsuffix cgo -o /app/dist/rentease main.go

FROM scratch

COPY --from=builder /etc/ssl/certs/ca-certificates.crt /etc/ssl/certs/
COPY --from=builder /app/dist/rentease /app/dist/rentease

WORKDIR /app

EXPOSE 8000

ENTRYPOINT ["/app/dist/rentease"]
